Index: django/django/db/models/sql/query.py
===================================================================
--- django/django/db/models/sql/query.py	(revision 7999)
+++ django/django/db/models/sql/query.py	(working copy)
@@ -7,7 +7,6 @@
 all about the internals of models in order to get the information it needs.
 """
 
-import datetime
 from copy import deepcopy
 
 from django.utils.tree import Node
Index: django/django/db/models/base.py
===================================================================
--- django/django/db/models/base.py	(revision 7999)
+++ django/django/db/models/base.py	(working copy)
@@ -12,7 +12,7 @@
 import django.db.models.manager         # Ditto.
 from django.core import validators
 from django.core.exceptions import ObjectDoesNotExist, MultipleObjectsReturned, FieldError
-from django.db.models.fields import AutoField, ImageField, FieldDoesNotExist
+from django.db.models.fields import AutoField, ImageField
 from django.db.models.fields.related import OneToOneRel, ManyToOneRel, OneToOneField
 from django.db.models.query import delete_objects, Q, CollectedObjects
 from django.db.models.options import Options
@@ -20,7 +20,6 @@
 from django.db.models import signals
 from django.db.models.loading import register_models, get_model
 from django.dispatch import dispatcher
-from django.utils.datastructures import SortedDict
 from django.utils.functional import curry
 from django.utils.encoding import smart_str, force_unicode, smart_unicode
 from django.core.files.move import file_move_safe
Index: django/django/db/models/fields/related.py
===================================================================
--- django/django/db/models/fields/related.py	(revision 7999)
+++ django/django/db/models/fields/related.py	(working copy)
@@ -3,10 +3,8 @@
 from django.db.models.fields import AutoField, Field, IntegerField, PositiveIntegerField, PositiveSmallIntegerField, FieldDoesNotExist
 from django.db.models.related import RelatedObject
 from django.db.models.query_utils import QueryWrapper
-from django.utils.text import capfirst
 from django.utils.translation import ugettext_lazy, string_concat, ungettext, ugettext as _
 from django.utils.functional import curry
-from django.utils.encoding import smart_unicode
 from django.core import validators
 from django import oldforms
 from django import forms
Index: django/django/db/models/__init__.py
===================================================================
--- django/django/db/models/__init__.py	(revision 7999)
+++ django/django/db/models/__init__.py	(working copy)
@@ -10,8 +10,6 @@
 from django.db.models.fields.subclassing import SubfieldBase
 from django.db.models.fields.related import ForeignKey, OneToOneField, ManyToManyField, ManyToOneRel, ManyToManyRel, OneToOneRel, TABULAR, STACKED
 from django.db.models import signals
-from django.utils.functional import curry
-from django.utils.text import capfirst
 
 # Admin stages.
 ADD, CHANGE, BOTH = 1, 2, 3
Index: django/django/db/backends/oracle/base.py
===================================================================
--- django/django/db/backends/oracle/base.py	(revision 7999)
+++ django/django/db/backends/oracle/base.py	(working copy)
@@ -8,7 +8,6 @@
 
 from django.db.backends import BaseDatabaseWrapper, BaseDatabaseFeatures, BaseDatabaseOperations, util
 from django.db.backends.oracle import query
-from django.utils.datastructures import SortedDict
 from django.utils.encoding import smart_str, force_unicode
 
 # Oracle takes client-side character set encoding from the environment.
Index: django/django/forms/util.py
===================================================================
--- django/django/forms/util.py	(revision 7999)
+++ django/django/forms/util.py	(working copy)
@@ -1,6 +1,5 @@
 from django.utils.html import escape
 from django.utils.encoding import smart_unicode, StrAndUnicode, force_unicode
-from django.utils.functional import Promise
 from django.utils.safestring import mark_safe
 
 def flatatt(attrs):
Index: django/django/forms/formsets.py
===================================================================
--- django/django/forms/formsets.py	(revision 7999)
+++ django/django/forms/formsets.py	(working copy)
@@ -2,7 +2,7 @@
 from django.utils.encoding import StrAndUnicode
 from django.utils.safestring import mark_safe
 from fields import IntegerField, BooleanField
-from widgets import Media, HiddenInput, TextInput
+from widgets import Media, HiddenInput
 from util import ErrorList, ValidationError
 
 __all__ = ('BaseFormSet', 'all_valid')
Index: django/django/forms/models.py
===================================================================
--- django/django/forms/models.py	(revision 7999)
+++ django/django/forms/models.py	(working copy)
@@ -8,7 +8,6 @@
 from django.utils.translation import ugettext_lazy as _
 from django.utils.encoding import smart_unicode
 from django.utils.datastructures import SortedDict
-from django.core.exceptions import ImproperlyConfigured
 
 from util import ValidationError, ErrorList
 from forms import BaseForm, get_declared_fields
Index: django/django/forms/fields.py
===================================================================
--- django/django/forms/fields.py	(revision 7999)
+++ django/django/forms/fields.py	(working copy)
@@ -23,7 +23,7 @@
     from sets import Set as set
 
 from django.utils.translation import ugettext_lazy as _
-from django.utils.encoding import StrAndUnicode, smart_unicode, smart_str
+from django.utils.encoding import smart_unicode, smart_str
 
 from util import ErrorList, ValidationError
 from widgets import TextInput, PasswordInput, HiddenInput, MultipleHiddenInput, FileInput, CheckboxInput, Select, NullBooleanSelect, SelectMultiple, DateTimeInput
Index: django/django/core/files/uploadhandler.py
===================================================================
--- django/django/core/files/uploadhandler.py	(revision 7999)
+++ django/django/core/files/uploadhandler.py	(working copy)
@@ -1,8 +1,6 @@
 """
 Base file upload handler classes, and the built-in concrete subclasses
 """
-import os
-import tempfile
 try:
     from cStringIO import StringIO
 except ImportError:
Index: django/django/core/management/commands/compilemessages.py
===================================================================
--- django/django/core/management/commands/compilemessages.py	(revision 7999)
+++ django/django/core/management/commands/compilemessages.py	(working copy)
@@ -2,7 +2,6 @@
 import sys
 from optparse import make_option
 from django.core.management.base import BaseCommand
-from django.core.management.color import no_style
 
 try:
     set
Index: django/django/core/management/commands/testserver.py
===================================================================
--- django/django/core/management/commands/testserver.py	(revision 7999)
+++ django/django/core/management/commands/testserver.py	(working copy)
@@ -17,7 +17,6 @@
     requires_model_validation = False
 
     def handle(self, *fixture_labels, **options):
-        from django.conf import settings
         from django.core.management import call_command
         from django.test.utils import create_test_db
 
Index: django/django/core/management/commands/test.py
===================================================================
--- django/django/core/management/commands/test.py	(revision 7999)
+++ django/django/core/management/commands/test.py	(working copy)
@@ -17,7 +17,6 @@
 
     def handle(self, *test_labels, **options):
         from django.conf import settings
-        from django.db.models import get_app, get_apps
 
         verbosity = int(options.get('verbosity', 1))
         interactive = options.get('interactive', True)
Index: django/django/views/generic/simple.py
===================================================================
--- django/django/views/generic/simple.py	(revision 7999)
+++ django/django/views/generic/simple.py	(working copy)
@@ -1,4 +1,3 @@
-from django.shortcuts import render_to_response
 from django.template import loader, RequestContext
 from django.http import HttpResponse, HttpResponsePermanentRedirect, HttpResponseGone
 
Index: django/django/dispatch/saferef.py
===================================================================
--- django/django/dispatch/saferef.py	(revision 7999)
+++ django/django/dispatch/saferef.py	(working copy)
@@ -1,6 +1,5 @@
 """Refactored "safe reference" from dispatcher.py"""
 import weakref, traceback
-from django.utils.functional import curry
 
 def safeRef(target, onDelete = None):
     """Return a *safe* weak reference to a callable target
Index: django/django/dispatch/dispatcher.py
===================================================================
--- django/django/dispatch/dispatcher.py	(revision 7999)
+++ django/django/dispatch/dispatcher.py	(working copy)
@@ -25,7 +25,7 @@
         deletion, (considerably speeds up the cleanup process
         vs. the original code.)
 """
-import types, weakref
+import weakref
 from django.dispatch import saferef, robustapply, errors
 
 __author__ = "Patrick K. O'Brien <pobrien@orbtech.com>"
Index: django/django/contrib/formtools/tests.py
===================================================================
--- django/django/contrib/formtools/tests.py	(revision 7999)
+++ django/django/contrib/formtools/tests.py	(working copy)
@@ -1,7 +1,6 @@
 from django import forms
 from django.contrib.formtools import preview
 from django import http
-from django.conf import settings
 from django.test import TestCase
 
 success_string = "Done was called!"
Index: django/django/contrib/syndication/feeds.py
===================================================================
--- django/django/contrib/syndication/feeds.py	(revision 7999)
+++ django/django/contrib/syndication/feeds.py	(working copy)
@@ -1,5 +1,5 @@
 from django.core.exceptions import ImproperlyConfigured, ObjectDoesNotExist
-from django.template import Context, loader, Template, TemplateDoesNotExist
+from django.template import loader, Template, TemplateDoesNotExist
 from django.contrib.sites.models import Site, RequestSite
 from django.utils import feedgenerator
 from django.utils.encoding import smart_unicode, iri_to_uri
